libsidplayfp::c64 Class Referencefinal

`#include <c64.h>`

Inheritance diagram for libsidplayfp::c64:

## Public Types

using | model_t
using | cia_model_t

## Public Member Functions

EventScheduler * | getEventScheduler ()
uint_least32_t | getTimeMs () const
void | clock ()
void | debug (bool enable, FILE *out)
void | reset ()
void | resetCpu ()
void | setModel (model_t model)
void | setCiaModel (cia_model_t model)
double | getMainCpuSpeed () const
void | setBaseSid (c64sid *s)
bool | addExtraSid (c64sid *s, int address)
void | clearSids ()
const char * | cpuCredits () const
const char * | ciaCredits () const
const char * | vicCredits () const
sidmemory & | getMemInterface ()
uint_least16_t | getCia1TimerA () const
unsigned int | installedSIDs () const

## Detailed Description

Commodore 64 emulation core.

It consists of the following chips:

- CPU 6510
- VIC-II 6567/6569/6572/6573
- CIA 6526/8521
- SID 6581/8580
- PLA 7700/82S100
- Color RAM 2114
- System RAM 4164-20/50464-150
- Character ROM 2332
- Basic ROM 2364
- Kernal ROM 2364

## Member Typedef Documentation

## cia_model_t

using libsidplayfp::c64::cia_model_t

Initial value:
enum
{
OLD = 0
,NEW
,OLD_4485
}

## model_t

using libsidplayfp::c64::model_t

Initial value:
enum
{
PAL_B = 0
,NTSC_M
,OLD_NTSC_M
,PAL_N
,PAL_M
}

## Member Function Documentation

## addExtraSid()

bool libsidplayfp::c64::addExtraSid | ( | c64sid * | s,
|  | int | address )

Add an extra SID.

Parameters

  s | the sid emu to set
  sidAddress | base address (e.g. 0xd420)

Returns
  false if address is unsupported

## clearSids()

void libsidplayfp::c64::clearSids | ( |  | ) |

Remove all the SIDs.

## clock()

void libsidplayfp::c64::clock | ( |  | ) |

inline

Clock the emulation.

Exceptions

  haltInstruction |

## cpuCredits()

const char * libsidplayfp::c64::cpuCredits | ( |  | ) | const

inline

Get the components credits

## getEventScheduler()

EventScheduler * libsidplayfp::c64::getEventScheduler | ( |  | ) |

inline

Get C64's event scheduler

Returns
  the scheduler

## getMainCpuSpeed()

double libsidplayfp::c64::getMainCpuSpeed | ( |  | ) | const

inline

Get the CPU clock speed.

Returns
  the speed in Hertz

## setBaseSid()

void libsidplayfp::c64::setBaseSid | ( | c64sid * | s | ) |

Set the base SID.

Parameters

  s | the sid emu to set

## setCiaModel()

void libsidplayfp::c64::setCiaModel | ( | cia_model_t | model | ) |

Set the cia model.

## setModel()

void libsidplayfp::c64::setModel | ( | model_t | model | ) |

Set the c64 model.

The documentation for this class was generated from the following files:

- c64.h
- c64.cpp